/***********************************************************************
**
**   basemapelement.cpp
**
**   This file is part of KFLog2.
**
************************************************************************
**
**   Copyright (c):  2000 by Heiner Lamprecht, Florian Ehinger
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: basemapelement.cpp,v 1.7 2003/06/05 20:14:18 eggert Exp $
**
***********************************************************************/
#include "targets.h"

#include "basemapelement.h"

BaseMapElement::BaseMapElement(const QString& n, objectType tID, unsigned int secID)
  : name(n), typeID(tID), MapSegment(secID)
{

}

BaseMapElement::~BaseMapElement()
{

}

bool BaseMapElement::__isVisible() const { return true; }

MapMatrix* BaseMapElement::glMapMatrix;

MapConfig* BaseMapElement::glConfig;

void BaseMapElement::initMapElement(MapMatrix* matrix, MapConfig* config)
{
  glMapMatrix = matrix;
  glConfig = config;
  qDebug("BaseMapElement::initMapElement ()");
}

void BaseMapElement::printMapElement(QPainter* , bool )
{
  warning("BaseMapElement::printMapElement");

}

void BaseMapElement::drawMapElement(QPainter* , QPainter* )
{
  warning("BaseMapElement::drawMapElement");
}

/** Read property of int MapSegment. */
const unsigned int& BaseMapElement::getMapSegment(){
	return MapSegment;
}

/** Write property of int MapSegment. */
void BaseMapElement::setMapSegment( const unsigned int& _newVal){
	MapSegment = _newVal;
}
